Put-through information
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"buyAdv[].symbol": "<string>",
"buyAdv[].price": 123,
"buyAdv[].vol": 123,
"buyAdv[].time": "<string>",
"buyAdv[].side": "<string>",
"sellAdv[].symbol": "<string>",
"sellAdv[].price": 123,
"sellAdv[].vol": 123,
"sellAdv[].side": "<string>",
"match[].symbol": "<string>",
"match[].price": 123,
"match[].vol": 123,
"match[].val": 123,
"match[].time": "<string>",
"match[].accumulatedValue": 123
}API Reference
Put-through information
Get put-through (deal/negotiated) trading information.
GET
/
tartarus
/
v1
/
putThroughSnaps
Put-through information
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"buyAdv[].symbol": "<string>",
"buyAdv[].price": 123,
"buyAdv[].vol": 123,
"buyAdv[].time": "<string>",
"buyAdv[].side": "<string>",
"sellAdv[].symbol": "<string>",
"sellAdv[].price": 123,
"sellAdv[].vol": 123,
"sellAdv[].side": "<string>",
"match[].symbol": "<string>",
"match[].price": 123,
"match[].vol": 123,
"match[].val": 123,
"match[].time": "<string>",
"match[].accumulatedValue": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Stock basket: 1 = HOSE, 2 = HNX, 3 = Upcom. Rổ chứng khoán: 1 = HOSE, 2 = HNX, 3 = Upcom.
Available options:
1, 2, 3 Response
200 - application/json
Successful response
Stock symbol.
Price.
Volume.
Time.
Side (B = Buy).
Stock symbol.
Price.
Volume.
Side (S = Sell).
Stock symbol.
Matched price.
Matched volume.
Value.
Match time.
Accumulated value.